%define	upstream_name    Digest-HMAC
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Keyed-Hashing for Message Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://www.cpan.org
Source0:    http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(Digest::SHA) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Requires:   perl-Digest-SHA1
Provides:   perl-HMAC

%description
Digest-HMAC module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Digest


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 365920
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 21 2012 tv <tv> 1.30.0-2.mga2
+ Revision: 232239
- no need to require perl

  + kharec <kharec>
    - update to 1.03

* Fri Jan 21 2011 jquelin <jquelin> 1.20.0-2.mga1
+ Revision: 29439
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 11039
- imported package perl-Digest-HMAC

